function trade_plan(me)
  local t={};
  for c1 in me:cities_iterate() do
    for c2 in me:cities_iterate() do
      if c1.id>c2.id 
         and c1.tile:map_distance(c2.tile) >= game.server_option.trademindist then
        table.insert(t,{c1:caravan_bonus(c2),
                        c1:trade_with(c2)+c2:trade_with(c1), c1.name, c2.name})
      end
    end
  end
  table.sort(t,function(a,b)return a[2]>b[2] or a[2]==b[2] and a[1]>b[1] end)
  for _,v in ipairs(t) do log.normal("%2d %2d\t%s\t--\t%s",v[2],v[1],v[3],v[4]) end
end
